/*
 * Licensed to the Apache Software Foundation (ASF) under one
 * or more contributor license agreements.  See the NOTICE file
 * distributed with this work for additional information
 * regarding copyright ownership.  The ASF licenses this file
 * to you under the Apache License, Version 2.0 (the
 * "License"); you may not use this file except in compliance
 * with the License.  You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing,
 * software distributed under the License is distributed on an
 * "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY
 * KIND, either express or implied.  See the License for the
 * specific language governing permissions and limitations
 * under the License.
 */

package com.aliyun.oss.model;

/**
 * 创建UDF请求
 * 
 * 指定Name时创建新的UDF，指定ID创建UDF的别名。
 * 
 */
public class CreateUdfRequest extends UdfGenericRequest {
	
	public CreateUdfRequest(String name) {
		super(name);
	}
	
	public CreateUdfRequest(String name, String desc) {
		super(name);
		this.desc = desc;
	}
	
	public CreateUdfRequest(String name, String id, String desc) {
		super(name);
		this.id = id;
		this.desc = desc;
	}

	public String getId() {
		return id;
	}

	public void setId(String id) {
		this.id = id;
	}

	public String getDesc() {
		return desc;
	}

	public void setDesc(String desc) {
		this.desc = desc;
	}

    private String id;
    private String desc;

}
